SunLight History
(12.6.96) Verbesserte Suchfunktion in Horoskoplisten (einfach Buchstaben eingeben) / Drag & Drop per linker Maustaste (bisher rechts) / Neuer Menüpunkt "Ordner | Ordner Löschen".
(3.7.96) Neu: Halbsummenzeiger in der Grafik / Druckeinstellung "Aspekte zeigen" wird vom Horoskop am Bildschirm übernommen / Bug bei Wahl des Aspektsets behoben / Bug beim Einfügen eines abgespaltenen Horoskops in den Ordner behoben / Bug im "Import Durchsuchen" bei Laufwerk A: behoben / Sommerzeit wird im Nabod-Bogen berücksichtigt / Erweiterungen im Lizenzverfahren.
(16.7.96) Neu: Anzeige von ListenInfos und MemoTexte im Infopanel / Zusätzliche Anzeige-Optionen für Aspekte im Kontextmenü des Infopanels / Bug bei Wiederkehr-Berechnungen behoben / Neu: in Setup - Glyphen können nun 10 verschiedene Font-Sets (mit versch. TrueType-Fonts) definiert werden, und in Voreinstellungen - Aktuelle Sets ausgewählt werden / Versch. Verbesserungen bei Astro-Uhr / Neu: in Setup - Glyphen - Häusern haben die Achsen nun eigene Symbole oder Buchstaben.
(24.7.96) Ausdruck von MC-H11-H12 im Aspektarium korrigiert / Die Mondknoten wurden manchmal falsch berechnet (korrigiert)  / Kleine Erweiterungen im "Setup" und "SunLight Entfernen".
(16/9/96) Re. Mausklick auf Planet - Aspekte - Posn. der Planeten korrigiert / Re. Mausklick auf Infopanel - Aspektliste - App/Sep dazu / Doppelklick auf äußere Hausspitze oder Shift-Klick auf Haus innen: Dialog "Mache Hausspitze <n> zum AC" / Konstellationsanalyse - Kopieren - option mehr Info / Gel. "Hänger" bei Jahresneumonden behoben / Auto-Reorganisation der Access-DB: siehe "Vorein-stellungen Allg." | "SunLight Allg." | AutoReorg : bei jedem <n>'ten Aufruf von SunLight (0 = nie).
(5/11/96) Absturzfehler beim Auswählen eines anderen Koordinatensystems beseitigt.
(5/12/96) Fehler bei extremen Planetenballungen beseitigt; Im Ausdruck eines nicht abgespaltenen Prognosehoroskops als Einzelhoroskop waren die Elementeauswertungen die vom Radix (beseitigt); Absturzfehler bei wenigen Orten (z.B. Indianapolis) beseitigt; Fehler in seltenen Fällen bei Doppelhoroskopen beseitigt.
(19.12.96) Fehler in der Horoskopberechnung bei Zeitzone RLMT behoben.
(14.2.97) Version 2.2: Gestaltung der Horoskopformulare grundlegend neu gestaltet (s. im Programm "Setup | Formulare"; Beschleunigung des Datenbankzugriffs durch Verwendung der Access 2.0 Kompatibilitätsbibliotheken.
(14.3.97) Version 2.2a: Verbesserungen bei der Installation; R/S wird nicht mehr bei Compositen angegeben, Composit-Ausdrucksformular verbessert.
(10.4.97) Version 2.2b: Es wird nun hauptsächlich normale statt fette Bildschirmschrift verwendet; Bug behoben - jetzt können wieder beliebig viele Horoskope geöffnet werden; Elemente-Werte im Ausdruck des Doppelhoroskops - Werte für Außenhoroskop korrigiert; In der Horoskopgrafik stehen konzentrische Zahlen der Häusernummer nicht mehr auf den Kopf; Formulargestaltung: Schriftgröße der Zwischenhäusernr. wird beachtet, Hausnr.-Position bei Teilerhoroskopen nun einstellbar; Horoskopimport "a:*.aaf" (statt "a:\*.aaf") wird nun korrekt behandelt; Bezeichnungen für Haus 1/4/7/10 korrigiert in \sunlight\config\sunlight.ini, damit korrekte Auskunft erscheint bei Verwendung von equalen Häsuern. ACHTUNG: die Korrektur der Hausbezeichnungen gilt nur bei Neuauslieferungen - bei Updates bitte in SunLight selber anpassen: Extra -> Setup -> Bezeichnungen -> Häuser (jeweils bei Haus 1, 4, 7, 10 statt AC etc. H1 bzw. "1. Haus" etc., jeweils bei "Voll" und "Kurz").
(14.4.97) Version 2.2c: Jetzt können Elemente-Werte für alle Horoskopfaktoren berücksichtigt werden; Bug in 2.2b bzgl Enter-Taste bei Horoskopdaten-Eingabe behoben; Jahresneumonde werden nun korrekt nummeriert; der SunLight-TrueType-Font wurde leicht verbessert (klass. Uranus, Venus usw.); Bug bei 'Bearbeiten > Ordner bearbeiten > Speichern als > Abbrechen' behoben; geringe Verbesserungen bei einigen Formularen.
(24.5.97) Version 2.2d: Aspekte So-Mo werden wieder gezeichnet; Bug bei Orben-Mittelung Min/Max gleicher Wert behoben; Orbendynamische Aspektstrichstärke bei Minuswerten korrigiert; Bug bei Astro-Visa-Import (W/O-Länge vertauscht) behoben; Betätigung des Symbols "Offene Horoskop-Fenster ordnen" wenn keine Fenster offen führt nicht mehr zum Fehler; Kreiseinteilungsstriche können jetzt die gleiche Farbe haben wie Horoskop-Hintergrund; bei heliozentrischen Horoskopen werden nun die Erdhäuser eingezeichnet (wenn Sie dies nicht wünschen, wählen Sie einfach das Häusersystem "Keine Häuser").
(2.6.97) Version 2.2e: Kleine Fehlerkorrekturen und Verbesserungen in der graph. Ephemeride; Koordinatenkreuz im Horizont-Horoskop-Ausdruck wieder an richtiger Stelle; seltener Absturzfehler bei Planeten- und Häuserstatistik behoben; Schaltfläche 'Abbrechen' im Dialog 'Korrektur nach def. Graden' wieder aktiviert; Kreislinien werden im Schwarz-Weiß-Ausdruck auf Schwarz gestellt; Trennlinien des Aspektariums und Häusertabelle im Ausdruck berücksichtigen nun Strichstärke-Angabe.
(28.11.97) Version 2.5 Rev. 45: Oberfläche modernisiert; Im Ausdruck von Doppelhoroskopen werden die Aspektstriche von äußeren Planeten zum inneren abst. Mondknoten nun gezeichnet; Die Einzelhoroskopgrafik enthält jetzt einen Hinweis zum nächsten Vollmond; Bei 'Korrektur über den Aszendenten' steht ein Hinweis zur grafischen Korrektur durch Ziehen einer beliebigen Häuserspitze.
(12.12.97) Version 2.5 Rev. 46: Meldung für fehlende Orte angepasst
(13.1.98) Version 2.5 Rev. 47: Relocation: es wird jetzt der richtige Aszendent angezeigt, da jetzt die Zone vom Basehoroskop wieder berücksichtigt wird; neue Einstellung unter Voreinstellungen Allgemein > Geburtsdateneingabe > Bei 'Neu' alle Felder zurücksetzen;
(22.1.98) Version 2.5 Rev. 48: Invalid property value bei Einstellungen Zeichenauswertung behoben
(6.2.98) Version 2.5 Rev. 49: Bei der Astro-Uhr als Grafik werden Aspektlinien jetzt wieder angezeigt; Neue Voreinstellung: Horoskop-Anzeige -> Aspekte anzeigen zu > (Keine Häuserspitzen, AC-MC, Hauptachsen, Alle Häuserspitzen); Horoskop-Start immer mit Gradkreis ist jetzt möglich: Horoskop anzeigen; STRG E eingeben; Gradkreis außen einstellen; Schaltfläche 'neu definieren'; Die Programmgruppe für SunLight ist jetzt gegen Ende der Installation wählbar (vorhandene oder neue Gruppe).
(21.2.98) Version 2.5 Rev. 50: Probleme in den Dialogen "Aspekt-Set ändern" und "Formular ändern" sind behoben; Die Werkzeug-Symbole "Horoskop-Einstellungen" sowie "Aspekte an/aus" in der Horoskopzeichnung funktionieren jetzt auch dann, wenn weder Werkzeugleiste noch Werkzeugbox geladen wurde.
(25.2.98) Version 2.5 Rev. 53:Benutzer-Einstellungen für die Punktzahlen für Zeichenauswertungen werden jetzt korrekt gespeichert; Der Aspektset für Spiegelpunktaspekte wird nun korrekt berücksichtigt.
(27.2.98) Version 2.5 Rev. 54: Endlosschleife bei Horoskopen um Ende Feb. '98 bis Anfang März '98 (bedingt durch zu genaues Suchen nach Voll-/Neumond-Zeitpunkt) beseitigt.
(6.5.98) Version 2.5 Rev. 55: Zeitpanel auch für Radix (mit Z aufrufen); Applikativ/Separativ bereinigt; das Land Indiana (USIN) hatte Schwierigkeiten mit den Timetables; Neue Einstellung Horoskop-Berechnungen > Original MC bei äqualen Häusern
(8.6.98) Version 2.5 Rev. 56: Fehler beim Schließen von Willkommen, wenn Quickmenüleiste ausgeblendet, behoben; Systemfarben in Symbolschaltflächen.
(10.6.98) Version 2.5 Rev. 57: Aspekte zu Häuser Einstellung wird nun auch bei Direktstart aus Ordner berücksichtigt.
(15.7.98) Version 2.5 Rev. 58: absteigender Mondknoten wurde in Voreinstellungen Allgemein nicht dauerhaft gespeichert; im Setup Wechsel von Orben zu Formular-Farben verbessert (gültige Anzeige); Aspekte auf MC bei Equalhäusern; DragFullWindow (Win95)handling bei Horoskopen verbessert
(27.7.98) Version 2.5 Rev. 59: Erweiterte Kopierfunktion im Horoskopüfenster: bei STRG+UMSCHALT+C werden die AAF-Daten des Horoskopes in den Zwischenspeicher kopiert; Schnittstelle zu Astro-Director von Thomas Müller: Menü Horoskop > Horoskop Astro-Direct übergeben
(7.9.98) Version 2.5 Rev. 60: Orte-Suche für Orte mit `´°...-Zeichen (zB. Malàga) verbessert;
(18.9.98) Version 2.5 Rev. 61: Halbsummenliste im Infopanel mit Planeten und Häuserspitzen und wieder richtige +/- Sortierung; Die Einstellungen und Sets Dialoge konnten bei Applikationswechsel über die Taskleiste unterlaufen werden.
(27.9.98) Version 2.5 Rev. 62: AAF-Import: AAF-C-Anweisungen wie #GZQ, #ATTRIB... werden in die Bemerkungen eingelesen und können somit nicht 'verloren gehen'.
(30.9.98) Version 2.5 Rev. 63: Bei Import und Export wird nur noch AAF (Astrologisches Austauschformat) unterstützt; dafür wurde auch die Auswahl der Zonen erweitert.
(1.10.98) Version 3.0 Rev. 1: der Memomanager wurde dahingehend erweitert, daß Horoskopartbezogene Texte (z.B. Texte für Radix, Texte für Vergleiche...) behandelt werden können; Neu: Resonanzen bei verschiedenen Progressionen möglich; Neu: bei Horizonthoroskopen können über das Menü Extras die Richtung von (selbstdefinierten) Orten angezeigt und auch bis zu 10 Orte (als Index) in das Horoskop eingezeichnet werden. Neu: In Halbsummen kann in Halbsummeneinstellungen auf Goldenen Schnitt umgeschaltet werden. Alle Halbsummenoperationen beziehen sich dann auf die jeweilige Einstellung der Goldenen Schnitte. Neu: Übersicht aktueller Aspekte auf den Mond inklusive Void of Course.
(6.10.98) Version 3.0 Rev. 2: Neues Sl-Icon; Memomanager in Taskleiste; verschiedene Dialoge in Taskleiste; .
(19.10.98) Version 3.0 Rev. 3: Mit Str+F4 wurde manchmal ein leeres Horoskopfenster geladen, wenn die Maus über dem zu schließenden war; Subscript-Fehler bei Memomanaufruf ohne gültige Konstellation seit 3.0 Rev 2; Ausgeschalteter Aufsteigender Mondknoten wurde nicht als Standardeinstellung behalten; BLN... in Aspektarium wird kleiner dargestellt; Spaltenrecalculation bei Tabellenausdruck.
(21.10.98) Version 3.0 Rev. 4: Graphische Ephemeride:- Eingabe: Checkboxen verkleinert (für Win3.1x)- Resonanz/Harmonicfaktor: Anzeige von eingegebenen Fließkommazahlen (wurde zwar berechnet, aber bei Wiederholung der Eingabe gerundet angezeigt) - manchmal wurden Planetenlinien in Zickzackmuster angezeigt (hing mit mit automatischen Tagesabstand zusammen); Ausschalten der1°-Striche in Setup>Formular bewirkte, daß 5°-Striche nicht angezeigt wurden.
(5.11.98) Version 3.0 Rev. 5: Halbsummenausdruck Kard/Fix/Veränd: in-Spalte: Format 000° 00'
(19.11.98) Version 3.0 Rev. 6: USA-Orte Zeitzonen wurden teilweise nicht gefunden; Horizont-Planeten-Tabellenausdruck erweitert; Horizontzeichnung: gestrichelte Gegenlinien für Planeten; (c) in Ausdruck verändert;
Setup > Formular: Einstellungshilfe über Schaltfläche [...] oder Doppelklick auf aktuellen Eintrag;
Setup: Tastenkombinationen:
- Strg+Richtungstaste Auf und Ab: Navigation in Tabelle pro Zeile
- Bildtaste Auf und Ab: Navigation in Tabelle pro Bild
- Strg+Bildtaste Auf und Ab: Navigation in Tabelle pro Unterabschnittes in Formular und Formular Farben
- Strg+0 bis 9: Anspringen des jeweiligen Unterabschnittes in Formular und Formular Farben
(26.11.98) Version 3.0 Rev. 7: Teileranzeige bei Horizonthoroskop korregiert; neue Standardformulare; aktuelle Mondaspekte: Unterscheidung von Void of course: VOC steht für aspektlos vor Zeichenwechsel, (voc) steht für sonstige Zeiträume ohne Aspekte; Schnittstelle zu Astro-Corrector.
(18.1.99) Version 3.0 Rev. 8: Spiegelpunkte bei Kombinationshoroskope wurden nicht angezeigt; Spiegelpunktfelder im Aspektarium können in ihrer Farbe eingestellt oder abgeschaltet werden; Konjunktionen von Transitdirektionen wurden falsch angezeigt seit 3.0 Rev. 1
(28.1.99) Version 3.0 Rev. 9: Benutzerdefinierte Orte, die mit einem Umlaut beginnen, können nun angelegt werden; falsche Umlaute in manchen Orten Italiens korrigiert
(15.4.99) Version 3.0 Rev. 10: Kardinal/Fix/Veränderlich-Halbsummen: Elemente wurden durch einen Rundungsfehler teilweise einer falschen Spalte zugeordnet
(17.6.99) Version 3.0 Rev. 10: Kritische Grade wurden im Außenkreis im Mausinfo falsch angezeigt (verschoben um die Differenz AC innen zu AC außen)
(12.10.99) Version 3.0 Rev. 11: Aspektsymbolfarben im Aspektarium werden beim Ausdruck wieder übernommen
(12.01.00) Version 3.0 Rev. 12: Innen/Aussen-Tauschen behandelte die Aspektanzeige nicht korrekt
(15.6.00) Version 3.0 Rev. 14: Verbesserung der Sommerzeitautomatik ab 2000, Verbesserung der graphischen Ephemeride, Konstellationsanalyse hat Konstellationen über Jupiter/Mars nicht angezeigt
(28.08.00) Version 3.0 Rev. 15: Verbesserung der Geburtstaganzeige
(14.11.00) Version 3.0 Rev. 16: Spiegelpunkte wurden bei Aspektarium, standalone nicht ausgedruckt.
(9.12.00) Version 3.0 Rev. 17: Gradangabe im Horoskop-Formular (Drucker/Bildschirm)
(30.12.00) Version 3.0 Rev. 18: Definierte Achsenpositionierung (Ctrl+Q)
(2.7.01) Version 3.0 Rev. 19: Verbesserung der BST-Zeitzone
(16.1.03) Version 3.0 Rev. 20: HP Printer problem behoben, Kopien in Druckerdialog, 19/20 in Eingabedatumsmaske, Adressänderung, Karma-, Familien-, Indiv-, Spiritueller Neumond
